com.corticon.services.datasource

## Interface IDatasourceManager

-     public interface IDatasourceManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDatasource(IDatasource aDatasource)` This method will add a new DatasourceImpl into the Datasource List
    `java.util.List<IDatasource>` | `getAllRESTDatasources()` This method will return all REST Datasources associated with this Datasource Manager
    `IDatasource` | `getDatasource(java.lang.String astrDatasourceName)` This method will return an IDatasource connection for a particular name.
    `java.util.List<IDatasource>` | `getDatasourcesAsList()` This method will return copied list of all the loaded IDatasource objects that have been loaded into the IDatsourceManager.
    `void` | `removeDatasource(java.lang.String astrDatasourceName)` This method will remove an existing IDatasource based on a name

- - ### Method Detail

    - #### getDatasource

          IDatasource getDatasource(java.lang.String astrDatasourceName)

      This method will return an IDatasource connection for a particular name. Each decision service can have multiple connections, each of which must be configured in a datasource.xml file. These datasources will be a database connection and can be used to get connection information.
      Parameters:
        `astrDatasourceName` - The name of the datasource you wish to retrieve.
      Returns:
        An IDatasource for the datasource of the provided name.

    - #### getDatasourcesAsList

          java.util.List<IDatasource> getDatasourcesAsList()

      This method will return copied list of all the loaded IDatasource objects that have been loaded into the IDatsourceManager.
      Returns:
        A List of all IDatasources that have been loaded

    - #### addDatasource

          void addDatasource(IDatasource aDatasource)

      This method will add a new DatasourceImpl into the Datasource List
      Parameters:
        `aDatasource` - IDatasource to be added to the Datasource List

    - #### removeDatasource

          void removeDatasource(java.lang.String astrDatasourceName)

      This method will remove an existing IDatasource based on a name
      Parameters:
        `aDatasource` - IDatasource to be removed from the Datasource List

    - #### getAllRESTDatasources

          java.util.List<IDatasource> getAllRESTDatasources()

      This method will return all REST Datasources associated with this Datasource Manager
      Returns:
        A List of all IDatasources that are labelled as REST

Copyright © 2005-2022 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.